Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 659686 - www-client/firefox-bin-61.0 version bump
Summary: www-client/firefox-bin-61.0 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Deutschmann
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-30 15:43 UTC by Gleb
Modified: 2018-08-18 07:57 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
firefox-bin-61.0.ebuild (firefox-bin-61.0.ebuild,5.26 KB, text/plain)
2018-07-05 13:02 UTC, Opportunist
Details
firefox 61.0.1 ebuild (firefox-bin-61.0.1.ebuild,5.26 KB, text/plain)
2018-07-08 19:37 UTC, wranz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb 2018-06-30 15:43:18 UTC
Are there any plans to bump firefox-bin to version 61? The source code version has been bumped already, but not -bin variant.
Comment 1 Jory A. Pratt gentoo-dev 2018-07-01 04:01:51 UTC
Whissi if you only want to support esr builds that is fine, as mozilla herd has no interest in the -bin packages we are not gonna force you to support a testing ebuild.
Comment 2 Leho Kraav (:macmaN @lkraav) 2018-07-05 12:07:48 UTC
What needs to happen to get esr and non-esr builds supported?
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-07-05 12:16:46 UTC
ESR has support, non-ESR has no support.

If someone wants non-ESR version, someone has to step up and do the work. Not just once, but continuous commitment is required. Non-devs can contribute via Proxy Maintainers project, see https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers#Getting_Started.
Comment 4 Opportunist 2018-07-05 13:02:00 UTC
Just copy and rename ebuild from firefox-bin-60.1.0 to firefox-bin-61.0 and change MOZ_ESR to 0.
Works for me.
Comment 5 Opportunist 2018-07-05 13:02:55 UTC
Created attachment 538438 [details]
firefox-bin-61.0.ebuild
Comment 6 Thomas Deutschmann gentoo-dev Security 2018-07-05 13:59:29 UTC
(In reply to Opportunist from comment #4)
> Just copy and rename ebuild from firefox-bin-60.1.0 to firefox-bin-61.0 and
> change MOZ_ESR to 0.
> Works for me.

That's not how it works. You can expect that anyone in Gentoo can do something like that. :)  But we need someone who cares about the package... aside ESR version, nobody does, so we won't add a non-ESR version.
Comment 7 wranz 2018-07-08 19:37:52 UTC
Created attachment 538852 [details]
firefox 61.0.1 ebuild
Comment 8 wranz 2018-07-08 19:38:25 UTC
i would take over, here is the first ebuild for 61.0.1
Comment 9 Viktor Levin 2018-07-08 22:50:15 UTC
Related bug: https://bugs.gentoo.org/660730
Comment 10 Franz Trischberger 2018-07-18 18:05:49 UTC
With the attached ebuild HTML5-videos on youtube won't work anymore. I just get a message that my Browser doesn't recognize any of the available video formats.
That's what Thomas meant: there's more to maintaining an ebuild besides the obvious changes.
Comment 11 wranz 2018-07-20 07:19:10 UTC
(In reply to Franz Fellner from comment #10)
> With the attached ebuild HTML5-videos on youtube won't work anymore. I just
> get a message that my Browser doesn't recognize any of the available video
> formats.
> That's what Thomas meant: there's more to maintaining an ebuild besides the
> obvious changes.

work here without a problem. seems an addon creates the problem. try to create a new profile and see if it still doesn't work
Comment 12 Kajzer 2018-08-08 18:22:53 UTC
Getting error with the attached 61.0.1

>>> Install firefox-bin-61.0.1 into /var/tmp/portage/www-client/firefox-bin-61.0.1/image/ category www-client
sed: can't read /var/tmp/portage/www-client/firefox-bin-61.0.1/image/usr/share/applications/firefox-bin.desktop: No such file or directory
 * ERROR: www-client/firefox-bin-61.0.1::localrepo failed (install phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line 124:  Called src_install
 *   environment, line 2804:  Called die
 * The specific snippet of code:
 *       sed -i -e "s:@NAME@:${name}:" -e "s:@ICON@:${icon}:" "${ED}usr/share/applications/${PN}.desktop" || die;
Comment 13 Franz Trischberger 2018-08-08 18:28:04 UTC
(In reply to Kajzer from comment #12)
> Getting error with the attached 61.0.1
> 
> >>> Install firefox-bin-61.0.1 into /var/tmp/portage/www-client/firefox-bin-61.0.1/image/ category www-client
> sed: can't read
> /var/tmp/portage/www-client/firefox-bin-61.0.1/image/usr/share/applications/
> firefox-bin.desktop: No such file or directory
>  * ERROR: www-client/firefox-bin-61.0.1::localrepo failed (install phase):
>  *   (no error message)
>  * 
>  * Call stack:
>  *     ebuild.sh, line 124:  Called src_install
>  *   environment, line 2804:  Called die
>  * The specific snippet of code:
>  *       sed -i -e "s:@NAME@:${name}:" -e "s:@ICON@:${icon}:"
> "${ED}usr/share/applications/${PN}.desktop" || die;

You need to copy the files directory from the official portage tree to get the firefox-bin.desktop file.

BTW. I tried a second time and it failed running. But some days ago did a third try and for no obvious reasons everything seams to work now. Weird...
I ran with --safe-mode. No idea what's going on there.
Comment 14 Kajzer 2018-08-08 19:30:02 UTC
(In reply to Franz Fellner from comment #13)
> You need to copy the files directory from the official portage tree to get
> the firefox-bin.desktop file.
> 
> BTW. I tried a second time and it failed running. But some days ago did a
> third try and for no obvious reasons everything seams to work now. Weird...
> I ran with --safe-mode. No idea what's going on there.

Yeah, silly me :)

Anyway, it works fine, HTML5 videos, everything seems to be good, didn't test much, few videos and sites though, but it seems to be working fine.
Comment 15 Franz Trischberger 2018-08-18 07:56:37 UTC
Can be closed, we got the bump (to 61.0.2) and a Proxy-Maintainer.